PyGame not working(?)

Robert Kern rkern at ucsd.edu
Mon Jan 31 06:29:51 CET 2005


Chris Weisiger wrote:

> Thanks; I've now successfully installed Numeric, as well as all of the 
> other dependencies listed for PyGame. However, PyGame appears to still 
> not be working. When I try to run the program at the top of this page: 
> http://www.pygame.org/docs/tut/tom/games2.html
> I get the following error: 
> 
> % python main.py
> Fatal Python error: Interpreter not initialized (version mismatch?)
> Abort

A couple things:

* Are you sure you are using the same python executable that you 
compiled the extension modules against?

* If you aren't using the X11 versions of SDL et al., then you need to 
run your scripts with pythonw, which will run the framework's 
interpreter in such a way that it can communicate with the native window 
server. This shouldn't give you the error above, though.

-- 
Robert Kern
rkern at ucsd.edu

"In the fields of hell where the grass grows high
  Are the graves of dreams allowed to die."
   -- Richard Harter



More information about the Python-list mailing list